SFML

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - g -

- G : sf::Keyboard
- g : sf::Color
- GainedFocus : sf::Event
- GatewayTimeout : sf::Http::Response
- Get : sf::Http::Request
- getAttenuation() : sf::SoundSource
- getAxisPosition() : sf::Joystick
- getBody() : sf::Http::Response
- getBounds() : sf::VertexArray
- getBuffer() : sf::Sound , sf::SoundBufferRecorder
- getButtonCount() : sf::Joystick
- getCenter() : sf::View
- getChannelCount() : sf::SoundBuffer , sf::SoundStream
- getCharacterSize() : sf::Text
- getColor() : sf::Sprite , sf::Text
- getData() : sf::Packet , sf::String
- getDataSize() : sf::Packet
- getDefaultView() : sf::RenderTarget
- getDesktopMode() : sf::VideoMode
- getDirection() : sf::Listener
- getDirectory() : sf::Ftp::DirectoryResponse
- getDirectoryListing() : sf::Ftp
- getDuration() : sf::Music , sf::SoundBuffer
- getElapsedTime() : sf::Clock
- getField() : sf::Http::Response
- getFillColor() : sf::Shape
- getFont() : sf::Text
- getFullscreenModes() : sf::VideoMode
- getGlobalBounds() : sf::Shape , sf::Sprite , sf::Text
- getGlobalVolume() : sf::Listener
- getGlyph() : sf::Font
- getHandle() : sf::Socket
- getInverse() : sf::Transform
- getInverseTransform() : sf::Transformable , sf::View
- getKerning() : sf::Font
- getLineSpacing() : sf::Font
- getListing() : sf::Ftp::ListingResponse
- getLocalAddress() : sf::IpAddress
- getLocalBounds() : sf::Shape , sf::Sprite , sf::Text
- getLocalPort() : sf::TcpListener , sf::TcpSocket , sf::UdpSocket
- getLoop() : sf::Sound , sf::SoundStream
- getMajorHttpVersion() : sf::Http::Response
- getMatrix() : sf::Transform
- getMaximumSize() : sf::Texture
- getMessage() : sf::Ftp::Response
- getMinDistance() : sf::SoundSource
- getMinorHttpVersion() : sf::Http::Response
- getOrigin() : sf::Transformable
- getOutlineColor() : sf::Shape
- getOutlineThickness() : sf::Shape
- getPitch() : sf::SoundSource
- getPixel() : sf::Image
- getPixelsPtr() : sf::Image
- getPlayingOffset() : sf::Sound , sf::SoundStream
- getPoint() : sf::CircleShape , sf::ConvexShape , sf::Shape , sf::RectangleShape
- getPointCount() : sf::CircleShape , sf::ConvexShape , sf::Shape , sf::RectangleShape
- getPosition() : sf::Listener , sf::SoundSource , sf::Mouse , sf::Window , sf::Transformable
- getPrimitiveType() : sf::VertexArray
- getPublicAddress() : sf::IpAddress
- getRadius() : sf::CircleShape
- getRemoteAddress() : sf::TcpSocket
- getRemotePort() : sf::TcpSocket
- getRotation() : sf::Transformable , sf::View
- getSampleCount() : sf::SoundBuffer
- getSampleRate() : sf::SoundStream , sf::SoundBuffer , sf::SoundRecorder
- getSamples() : sf::SoundBuffer
- getScale() : sf::Transformable
- getSettings() : sf::Window
- getSize() : sf::RenderWindow , sf::Texture , sf::View , sf::RectangleShape , sf::Image , sf::RenderTexture , sf::InputStream , sf::Window , sf::RenderTarget , sf::String
- getStatus() : sf::Http::Response , sf::SoundSource , sf::SoundStream , sf::Ftp::Response , sf::Sound
- getString() : sf::Text
- getStyle() : sf::Text
- getSystemHandle() : sf::Window
- getTexture() : sf::Shape , sf::Font , sf::RenderTexture , sf::Sprite
- getTextureRect() : sf::Shape , sf::Sprite
- getTransform() : sf::Transformable , sf::View
- getValue() : sf::ThreadLocal
- getVertexCount() : sf::VertexArray
- getView() : sf::RenderTarget
- getViewport() : sf::RenderTarget , sf::View
- getVolume() : sf::SoundSource
- getWorkingDirectory() : sf::Ftp
- GlResource() : sf::GlResource
- Glyph() : sf::Glyph
- Green : sf::Color